Bug 1870304 - NodePort stuck open within SDN after unidling
Summary: NodePort stuck open within SDN after unidling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.11.0
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 4.4.z
Assignee: Surya Seetharaman
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1870303
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-19 17:41 UTC by OpenShift BugZilla Robot
Modified: 2020-10-28 08:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: In unidling proxy mode of openshift-sdn, it was expected for the endpoint to get deleted always after the service gets deleted. However this might not be the case always and if the endpoint got deleted before the service, it would induce this bug. Consequence: Though the service and endpoint would get deleted, the nodeport wasn't getting deleted and would remain stuck open in the unidling proxy mode. Fix: Removed dependency on the order in which service and endpoint need to be deleted and ensure all the necessary resources get deleted completely irrespective of which one (service or endpoint) gets deleted first in the unidling proxy mode. This was fixed in openshift-sdn 4.6 and backported to 3.11. Result: nodeport gets deleted correctly.
Clone Of:
Environment:
Last Closed: 2020-10-28 08:11:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift sdn pull 174 0 None closed [release-4.4] Bug 1870304: Port stuck open when ep deleted before svc in unidling mode 2020-10-23 19:04:20 UTC
Red Hat Product Errata RHBA-2020:4224 0 None None None 2020-10-28 08:12:27 UTC

Comment 5 zhaozhanqi 2020-10-12 09:18:52 UTC
Verified this bug on 4.4.0-0.nightly-2020-10-10-031236
with steps in https://bugzilla.redhat.com/show_bug.cgi?id=1870303#c5

Comment 7 errata-xmlrpc 2020-10-28 08:11:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.29 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4224


Note You need to log in before you can comment on or make changes to this bug.